/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface VisibilityDistance
 */
export interface VisibilityDistance {
    /**
     * 
     * @type {number}
     * @memberof VisibilityDistance
     */
    probability?: number;
    /**
     * 
     * @type {number}
     * @memberof VisibilityDistance
     */
    value?: number;
}

/**
 * Check if a given object implements the VisibilityDistance interface.
 */
export function instanceOfVisibilityDistance(value: object): boolean {
    let isInstance = true;

    return isInstance;
}

export function VisibilityDistanceFromJSON(json: any): VisibilityDistance {
    return VisibilityDistanceFromJSONTyped(json, false);
}

export function VisibilityDistanceFromJSONTyped(json: any, ignoreDiscriminator: boolean): VisibilityDistance {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'probability': !exists(json, 'probability') ? undefined : json['probability'],
        'value': !exists(json, 'value') ? undefined : json['value'],
    };
}

export function VisibilityDistanceToJSON(value?: VisibilityDistance | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'probability': value.probability,
        'value': value.value,
    };
}

